package com.shcd.controller;

import com.shcd.annotation.CheckLicence;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author 上海城地
 * @description 业务层
 * @create 2024-04-13 15:55
 * @since 1.0.0
 */
@RestController
@RequestMapping("/offline")
public class OfflineController {

    @GetMapping("/hello")
    public String hello() {
        return "【离线版客户端】证书验证通过!If you can see this message, it means your licence is effective.";
    }

    @GetMapping("/check")
    @CheckLicence//增加注解
    public String check(){
        return "【离线版客户端】证书验证通过!If you can see this message, it means your licence is effective.";
    }
}
