package com.shcd.service;

import java.util.Date;

/**
 * @author 上海城地
 * @description 校验证书接口类
 * @create 2024-04-13 15:55
 * @since 1.0.0
 */
public interface LicenceCheckService {

    /**
     * 校验证书
     * @return
     */
    Boolean checkLicence();

    /**
     * 证书到期前的通知
     * @param compare
     * @param endDate
     * @param now
     */
    void notifyTo(long compare, Date endDate, Date now);

}
